Subject: Re: bug#22137: python-urwid on x86_64: AsyncEventLoopTest

From: [email-masked] (Ludovic Courtès)
Date: Sun, 03 Jan 2016 15:18:23 +0100

Leo Famulari <[email-masked]> skribis:

> On Thu, Dec 10, 2015 at 02:05:56AM -0500, Leo Famulari wrote:
>> python-urwid-1.3.0 fails to build on x86_64 during the
>> "AsyncioEventLoopTest" test with the error "KeyError: '5 is not
>> registered'". It has failed repeatedly for some time now. It fails in
>> the same way when updated to python-urwid-1.3.1.
>> 
>> I looked for interesting changes made between the last successful build
>> and the first failing build. Notably, this range includes the upgrade
>> from python-3.3.5 to python-3.4.3 (08c04509). Asyncio was integrated
>> into the Python standard library in 3.4 — previously it had been an
>> external library. [0] Our python-3.4.3 package passes its 'test_asyncio'
>> test, FWIW.
>> 
>> I entered the failed build tree and successfully ran the tests using the
>> python-3.4.3-7 [1] installed by Debian Stretch. That only tells us so
>> much, but I think it does indicate either a bug in our python-3.4.3, or
>> some problem with python-urwid caused by the unfamiliar Guix build
>> environment.
>> 
>> Here's the hydra.gnu.org page:
>> http://hydra.gnu.org/build/861615
>
> BTW, I filed a bug upstream:
> https://github.com/urwid/urwid/issues/164
>
> No response yet, although I should add some more information to the bug
> report.
>
> In the meantime, what about downgrading python-urwid to 1.2.2 and
> leaving python2-urwid at 1.3.0?

I think it’s best to avoid introducing version differences.

What about disabling tests in python2-urwid in the meantime, with a
comment pointing to the above bug report?

Thanks,
Ludo’.